package com.ahau.againstpestinfo.presenter;

import java.lang.ref.WeakReference;

/**
 * 注释:
 *
 * @author fanchunchun
 * @date 2018/4/6
 */

public class BasePresenter<T> {

    //view层的应用
    protected WeakReference<T> mViewRef;

    //进行绑定
    public void attachView(T view) {
        mViewRef = new WeakReference<T>(view);
    }

    //进行解绑
    public void detchView() {
        mViewRef.clear();
    }
}
